spring:
  datasource:
    druid:
#      url: jdbc:informix-sqli://localhost:9088/testdb:INFORMIXSERVER=informix
      #&useServerPrepStmts=true
#      url: jdbc:mysql://localhost:3307/testdb?useUnicode=true&zeroDateTimeBehavior=convertToNull&useSSL=false&serverTimezone=Asia/Shanghai
      url: jdbc:mysql://localhost:3307/testdb?useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&useSSL=false&serverTimezone=Asia/Shanghai
#      url: jdbc:mysql://localhost:3307/testdb?useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&useSSL=false&serverTimezone=Asia/Shanghai&useServerPrepStmts=true
      username: root
#      username: informix
#      password: in4mix
      password: Apurelove9014
#      max-active: 20
#      max-wait: 60000
#      initial-size: 5
#      connect-timeout: 30
#      min-idle: 5
#      min-evictable-idle-time-millis: 300000
#      validation-query: select 1
#      test-on-borrow: false
#      test-on-return: false
#      test-while-idle: false
#      time-between-eviction-runs-millis: 60000
#      driver-class-name: com.informix.jdbc.IfxDriver
      driver-class-name: com.mysql.jdbc.Driver  # com.mysql.cj.jdbc.Driver
  jpa:
    properties:
      hibernate:
        dialect: org.hibernate.dialect.InformixDialect
        format_sql: true
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    map-underscore-to-camel-case: true